/*
 * MINIGUI - Harbour Win32 GUI library Demo
 *
 * Copyright 2002 Roberto Lopez <mail.box.hmg@gmail.com>
 * http://sites.google.com/site/hmgweb/
*/

#include "hmg.ch"

Function Main

	DEFINE WINDOW Form_1 ;
		AT 0,0 ;
		WIDTH 640 HEIGHT 480 ;
		TITLE 'HMG Demo' ;
		MAIN 

		@ 10,10 TEXTBOX Text_1 ;
			VALUE 123 ;
			TOOLTIP 'Numeric TextBox' ;
			NUMERIC ;
			MAXLENGTH 5 ;
			RIGHTALIGN ;
			ON LOSTFOCUS if ( This.Value < 100 , This.SetFocus , Nil)


		@ 40,10 TEXTBOX Text_2 ;
			VALUE 'Hi All' ;
			TOOLTIP 'Character TextBox' ;
			DISABLEDBACKCOLOR { 0,255,0 } ;
			DISABLEDFONTCOLOR { 255,255,255 } 

		DEFINE BUTTON C
			ROW	250
			COL	100
			WIDTH	160
			CAPTION	'Set Text_2 ReadOnly .T.'
			ACTION	Form_1.Text_2.ReadOnly := .T.
		END BUTTON

		DEFINE BUTTON D
			ROW	250
			COL	290
			WIDTH	160
			CAPTION	'Set Text_2 ReadOnly .F.'
			ACTION	Form_1.Text_2.ReadOnly := .F.
		END BUTTON


	END WINDOW

	Form_1.Center
	ON KEY F3 of FORM_1 action Kalkulator()
	Form_1.Activate

Return Nil
*---------------------------
function Kalkulator
	local cFrmName, cCtrlname, xtmp:=0, lSendResult:=.f., k, T
	cFrmName	:= thiswindow.name
	cCtrlName:= ThisWindow.FocusedControl	//This.name

	k := GetControlIndex(cCtrlName, cFrmName)
	T := GetControlType (cCtrlName,cFrmName)
	if T == "NUMTEXT" .or. T == "MASKEDTEXT"
		xtmp := GetProperty(cFrmName,cCtrlName,"Value")
		lSendResult := .t.
	endif
    ShowCalc(.t.,xtmp)

	if lSendResult
		if !empty(System.Clipboard)
			xtmp := val(System.Clipboard)
			SetProperty(cFrmName,cCtrlName,"Value",xtmp)
		endif
	endif			
Return Nil